Loading...
Searching...
No Matches
gridfire::reaclib Namespace Reference

## Classes

struct | ReactionRecord

## Functions

const reaction::ReactionSet & | get_all_reaclib_reactions ()
| Provides global access to the fully initialized REACLIB reaction set.
std::ostream & | operator<< (std::ostream &os, const ReactionRecord &r)
static std::vector< fourdst::atomic::Species > | parseSpeciesString (const std::string_view str)
static void | initializeAllReaclibReactions ()

## Variables

static bool | s_initialized = false
static std::unique_ptr< reaction::ReactionSet > | s_all_reaclib_reactions_ptr = nullptr

## Function Documentation

## get_all_reaclib_reactions()

const reaction::ReactionSet & gridfire::reaclib::get_all_reaclib_reactions | ( |  | ) |

Provides global access to the fully initialized REACLIB reaction set.

This function uses a singleton pattern to ensure the reaction data is loaded from the embedded binary only once, the very first time it is requested.

Returns
  A constant reference to the application-wide reaction set.

## initializeAllReaclibReactions()

static void gridfire::reaclib::initializeAllReaclibReactions | ( |  | ) |

static

## operator<<()

std::ostream & gridfire::reaclib::operator<< | ( | std::ostream & | os,
|  | const ReactionRecord & | r
| ) |  |

## parseSpeciesString()

static std::vector< fourdst::atomic::Species > gridfire::reaclib::parseSpeciesString | ( | const std::string_view | str | ) |

static

## Variable Documentation

## s_all_reaclib_reactions_ptr

std::unique_ptr<reaction::ReactionSet> gridfire::reaclib::s_all_reaclib_reactions_ptr = nullptr

static

## s_initialized

bool gridfire::reaclib::s_initialized = false

static